Evaluation Rules
Create or update an evaluation rule
Creates a new evaluation rule, or replaces the existing rule when the identifier matches.
Parâmetros de consulta
api-version
string
exigido
The API version to use for this operation.
Parâmetros de caminho
id
string
exigido
Unique identifier for the evaluation rule.
Parâmetros do cabeçalho
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Corpo da solicitação
Evaluation rule resource
id
string
exigido
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
exigido
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
exigido
evalId
string
exigido
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
exigido
templateId
string
exigido
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
exigido
Filter by agent name.
eventType
string | enum
exigido
Type of the evaluation rule event.
enum
enabled
boolean
exigido
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
exigido
System metadata for the evaluation rule.
Respostas
The request has succeeded.
Corpo
id
string
exigido
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
exigido
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
exigido
evalId
string
exigido
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
exigido
templateId
string
exigido
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
exigido
Filter by agent name.
eventType
string | enum
exigido
Type of the evaluation rule event.
enum
enabled
boolean
exigido
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
exigido
System metadata for the evaluation rule.
Solicitar
PUT /evaluationrules/{id} HTTP/1.1
Resposta
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json